<?php
/*
Plugin Name: Venio (BETA)
Description: Display Venio events directly on your WordPress site.
Author: SPYRIT
Author URI: http://www.spyrit.net
Version: 1.0.0
*/

define("VENIO_PLUGIN_DIR_PATH", plugin_dir_path(__FILE__));
define("VENIO_TRANSIENT_NAME", 'venio_events');
define("VENIO_API_URL", 'https://api.venio.fr/api/v1/fr_FR/events/');
define("VENIO_URL", 'https://www.venio.fr');
define("VENIO_VERSION", '1.0.0');

// Include classes
require_once VENIO_PLUGIN_DIR_PATH . 'classes/VenioPlugin.php';
require_once VENIO_PLUGIN_DIR_PATH . 'classes/Route.php';
require_once VENIO_PLUGIN_DIR_PATH . 'classes/Helper.php';
require_once VENIO_PLUGIN_DIR_PATH . 'classes/Api.php';
require_once VENIO_PLUGIN_DIR_PATH . 'classes/SettingsPage.php';

add_action('init', function (){
    $plugin = new SPYRIT_VENIO\VenioPlugin();
    $plugin->init();
});